diff options
author | Karl Berry <karl@freefriends.org> | 2024-02-19 17:40:52 +0000 |
---|---|---|
committer | Karl Berry <karl@freefriends.org> | 2024-02-19 17:40:52 +0000 |
commit | 3f7a0862696d20cc8c44b3bb89202b771926a5f0 (patch) | |
tree | 18147b5a2b0434277674d6a91ccb59486ab3b681 /Master/tlpkg | |
parent | e5c3ecac7dfb79969c23f43435066c5814ce56e3 (diff) |
<manyformats>.tlpsrc: force-increment so the packages will be updated.
TLUtils.pm (report_tlpdb_differences): sort output.
tl-update-tlnet: use different log output filenames for the pretest and
trunk (`basename $tlweb`). Report success of each consistency check, for
clarity, and overall success/failure.
Explanation: updating autopatterns, as we did yesterday, does not
automatically update the affected packages, so the nightly build failed.
Specifically, tl-compare-tlpdbs failed with:
different packages from A to B:
uplatex
unknown differ fmttrigger
...
for each of the affected formats (eplain hitex jadetex latex-bin-dev
latex-bin mltex platex uplatex xelatex-dev xetex xmltex).
git-svn-id: svn://tug.org/texlive/trunk@69980 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg')
-rw-r--r-- | Master/tlpkg/TeXLive/TLUtils.pm | 11 | ||||
-rwxr-xr-x | Master/tlpkg/bin/tl-update-tlnet | 16 |
2 files changed, 19 insertions, 8 deletions
diff --git a/Master/tlpkg/TeXLive/TLUtils.pm b/Master/tlpkg/TeXLive/TLUtils.pm index 95f245763c6..b6bbdb7875e 100644 --- a/Master/tlpkg/TeXLive/TLUtils.pm +++ b/Master/tlpkg/TeXLive/TLUtils.pm @@ -4864,29 +4864,30 @@ sub report_tlpdb_differences { if (defined($ret{'removed_packages'})) { info ("removed packages from A to B:\n"); - for my $f (@{$ret{'removed_packages'}}) { + for my $f (sort @{$ret{'removed_packages'}}) { info (" $f\n"); } } if (defined($ret{'added_packages'})) { info ("added packages from A to B:\n"); - for my $f (@{$ret{'added_packages'}}) { + for my $f (sort @{$ret{'added_packages'}}) { info (" $f\n"); } } if (defined($ret{'different_packages'})) { info ("different packages from A to B:\n"); - for my $p (keys %{$ret{'different_packages'}}) { + for my $p (sort keys %{$ret{'different_packages'}}) { info (" $p\n"); - for my $k (keys %{$ret{'different_packages'}->{$p}}) { + for my $k (sort keys %{$ret{'different_packages'}->{$p}}) { if ($k eq "revision") { info(" revision differ: $ret{'different_packages'}->{$p}->{$k}\n"); } elsif ($k eq "removed" || $k eq "added") { info(" $k files:\n"); - for my $f (@{$ret{'different_packages'}->{$p}->{$k}}) { + for my $f (sort @{$ret{'different_packages'}->{$p}->{$k}}) { info(" $f\n"); } } else { + # e.g., fmttriggers; don't bother making a nice report. info(" unknown differ $k\n"); } } diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet index 6aa7d9f6830..888d8c0f8bf 100755 --- a/Master/tlpkg/bin/tl-update-tlnet +++ b/Master/tlpkg/bin/tl-update-tlnet @@ -267,6 +267,10 @@ if test -n "$unexpected_output"; then echo "$prg: (end of unexpected output)." >&2 fi +# This is so the output files from the branch consistency runs don't +# overwrite the trunk consistency output files when we're doing the pretest. +tlnet_target=`basename $tlweb` # tlnet or tlpretest + # more consistency checks. if test $failure = false; then for cmd in \ @@ -280,14 +284,17 @@ if test $failure = false; then ; do cmdname=`echo "$cmd" | awk '{print $1}'` if echo "$cmdname" | grep check-tlnet-consistency >/dev/null; then - # skip consistency check if requested (for development only). + # skip consistency check if requested (for this script development only), + # since it takes quite a while. $check_consistency || continue fi basecmd=`basename $cmdname` echo "$prg: `date`" echo "$prg: Running $basecmd ($cmd)" - outfile=/tmp/tlnet.$basecmd - if $cmd >$outfile 2>&1; then :; else + outfile=/tmp/$tlnet_target.$basecmd + if $cmd >$outfile 2>&1; then + echo "$prg: $basecmd ok." + else echo "$prg: $basecmd failed ($cmd):" >&2 sed 8q $outfile >&2 echo "... see $outfile for full output ..." >&2 @@ -295,6 +302,7 @@ if test $failure = false; then failure=true fi done + echo "$prg: `date` done with consistency checks (failure=$failure)" fi # Format creation check, in case fmtutil's exit status wasn't right. @@ -322,6 +330,8 @@ if $failure || $chicken; then echo "$prg: Copies of both are in /tmp." >&2 echo "$prg: Please rm -rf the trial dir." >&2 if $failure; then + echo + echo "$prg: Some failure, exiting." exit 1 elif $chicken; then echo |